Bug 605821 - ant launcher invoker deployer multiple times
ant launcher invoker deployer multiple times
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Provisioning (Show other bugs)
3.0.0
All All
urgent Severity medium (vote)
: ---
: ---
Assigned To: Ian Springer
Corey Welton
:
Depends On:
Blocks: jon24-provisioning
  Show dependency treegraph
 
Reported: 2010-06-18 16:58 EDT by John Mazzitelli
Modified: 2013-08-05 20:37 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:52:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2010-06-18 16:58:32 EDT
AntLauncher calls ProjectHelper.configureProject() which is causing the BundleTask to call the Deployer (because BundleTask.execute is executed). Then later on, AntLauncher invokes the "" target which also invokes the Deployer.

This means we deploy twice, which is bad.

org.rhq.plugins.ant.AntBundlePluginComponentTest.testAntBundleTwo()

is a unit test that can illustrate this. I commented out the assert so Hudson doesn't fail this build right now (its in the release-3.0.0 branch), but to see this test fail, uncomment this assert:

// TODO: uncomment once we fix the problem that ant launcher invokes the deploy multiple times
//assert previousProps == null : "There should not be any previous deployment metadata";
Comment 1 John Mazzitelli 2010-06-21 16:51:48 EDT
i'm putting additional tests for upgrade, clean upgrade and revert testing.

Each has some lines commented out until this BZ is fixed. Once this is fixed, uncomment the lines in the test and confirm they pass. If they pass, this BZ should be considered fixed and ready for QA.

The comments to look for is this (they appear several times):

// TODO: uncomment once we fix the problem that ant launcher invokes the deploy multiple times
Comment 2 Ian Springer 2010-06-22 21:42:15 EDT
This is fixed by commit a75768dea4dd93403c2711838d0bc87262edee0c and has been pushed to the release-3.0.0 branch.
Comment 3 Corey Welton 2010-06-24 09:03:25 EDT
QA Closing.  This is basically a code change covered by unit tests.
Comment 4 Corey Welton 2010-08-12 12:52:23 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.